package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.StatisticsStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 命题计划统计返回对象
 * @Author: CaoZixuan
 * @Date: 2022-04-26
 */
public class TCStatisticResult implements Serializable {
    @ApiModelProperty(value = "命题计划统计表id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    @ApiModelProperty(value = "考试名称")
    private String examName;

    @ApiModelProperty(value = "开课学院")
    private String collegeName;

    @ApiModelProperty(value = "开课教研室")
    private String teachingRoom;

    @ApiModelProperty(value = "课程代码")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "任课教师")
    private String teacher;

    @ApiModelProperty(value = "班级名称")
    private String clazzNames;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "印刷计划")
    private String examPrintPlanName;

    @ApiModelProperty(value = "总印份数（学生数）")
    private String printCount;

    @ApiModelProperty(value = "总控状态")
    private StatisticsStatusEnum status;

    @ApiModelProperty(value = "班级详细信息")
    private String clazzContent;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getTeachingRoom() {
        return teachingRoom;
    }

    public void setTeachingRoom(String teachingRoom) {
        this.teachingRoom = teachingRoom;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }

    public String getClazzNames() {
        return clazzNames;
    }

    public void setClazzNames(String clazzNames) {
        this.clazzNames = clazzNames;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getExamPrintPlanName() {
        return examPrintPlanName;
    }

    public void setExamPrintPlanName(String examPrintPlanName) {
        this.examPrintPlanName = examPrintPlanName;
    }

    public String getPrintCount() {
        return printCount;
    }

    public void setPrintCount(String printCount) {
        this.printCount = printCount;
    }

    public StatisticsStatusEnum getStatus() {
        return status;
    }

    public void setStatus(StatisticsStatusEnum status) {
        this.status = status;
    }

    public String getClazzContent() {
        return clazzContent;
    }

    public void setClazzContent(String clazzContent) {
        this.clazzContent = clazzContent;
    }
}
